Skip to content

List all template versions (v2)

Request

List all Templates Versions for all Template Descriptors.

Security
oauth2(Required scopes: communicator.template:read) or bearerAuth or apiKeyHeader
Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

includeContextVarsboolean

If true, include all the context variables for this template.

Default:false
includeContentsboolean

If true, include the template contents, otherwise only return metadata.

Default:true
subjectArray of strings

Only include templates matching these interaction subjects.

channelArray of strings

Only include templates matching this set of interaction channels.

GET
/v2/communicator/templates
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/v2/communicator/templates?limit=25&startingAfter=string&endingBefore=string&includeContextVars=false&includeContents=true&subject=annualPrivacyPolicyNotice&channel=voice' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(TemplateVersion)
Response
{ "count": 0, "status": 0, "data": [ {} ] }